'use strict';



function ___$insertStyle(css) {
  if (!css) {
    return;
  }
  if (typeof window === 'undefined') {
    return;
  }

  var style = document.createElement('style');

  style.setAttribute('type', 'text/css');
  style.innerHTML = css;
  document.head.appendChild(style);
  return css;
}

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var angular = _interopDefault(require('angular'));
var $ = _interopDefault(require('jquery'));

function directive () {
  return {
    restrict: 'A',
    scope: false,
    link: function link(scope, el, attrs) {
      var obj = {
        droppableInfo: null,
        droppableId: null
      };
      var opts = angular.isDefined(attrs.droppableOptions) ? scope.$eval(attrs.droppableOptions) : {};
      var evts = {};
      var options = null;

      function emitEvent(name, ui) {
        scope.$apply(function () {
          scope.$emit(name, {
            dragged: ui,
            draggedId: ui.draggable.context.attributes['data-draggable-id'] ? ui.draggable.context.attributes['data-draggable-id'].value : null,
            droppable: obj
          });
        });
      }

      attrs.$observe('droppableInfo', function (droppableInfo) {
        if (droppableInfo) {
          obj.droppableInfo = scope.$eval(attrs.droppableInfo);
        }
      });
      attrs.$observe('droppableId', function (droppableId) {
        obj.droppableId = droppableId;
      });
      attrs.$observe('droppableDisabled', function (disabled) {
        if ($(el).droppable) {
          $(el).droppable({
            disabled: disabled === 'true'
          });
        }
      });
      evts = {
        out: function out(event, ui) {
          emitEvent('droppable.out', ui);
        },
        over: function over(event, ui) {
          emitEvent('droppable.over', ui);
        },
        drop: function drop(event, ui) {
          emitEvent('droppable.drop', ui);
        }
      };
      options = $.extend({}, opts, evts);
      $(el).droppable(options);
    }
  };
}

var moduleName = 'ngOvhJqueryUiDroppable';
angular.module(moduleName, []).directive('droppable', directive);

module.exports = moduleName;
//# sourceMappingURL=index.js.map
